Summary:	Enhanced WHOIS client
Name:		whois
Version:	5.0.26
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.linux.it/~md/software/
Source0:	ftp://ftp.debian.org/debian/pool/main/w/%{name}/%{name}_%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	libidn-devel

%description
This is a new whois (RFC 954) client rewritten from scratch.

It is derived from and compatible with the usual BSD and RIPE whois(1)
programs.

It is intelligent and can automatically select the appropriate whois
server for most queries.

%prep
%setup -q

%build
%make OPTS="%{optflags}" HAVE_LIBIDN=1 LDFLAGS="%ldflags" whois pos

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir}
%makeinstall BASEDIR=%{buildroot} prefix=%{_prefix}/ mandir=%{_mandir} -C po

install -m0644 whois.conf %{buildroot}%{_sysconfdir}

%find_lang %{name}

# fix a file conflict with expect (#46500)
mv %{buildroot}%{_bindir}/mkpasswd %{buildroot}%{_bindir}/whois-mkpasswd
mv %{buildroot}%{_mandir}/man1/mkpasswd.1 %{buildroot}%{_mandir}/man1/whois-mkpasswd.1

%files -f %{name}.lang
%doc README
%config(noreplace) %{_sysconfdir}/whois.conf
%{_bindir}/whois
%{_bindir}/whois-mkpasswd
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-mkpasswd.1*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.0.26-2.mga4
+ Revision: 530107
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 dams <dams> 5.0.26-1.mga4
+ Revision: 456203
- new version 5.0.26

* Thu May 23 2013 dams <dams> 5.0.25-1.mga4
+ Revision: 425061
- update %%files for man5
- new version 5.0.25

* Wed Apr 10 2013 dams <dams> 5.0.23-1.mga3
+ Revision: 409392
- new version 5.0.23

* Fri Apr 05 2013 dams <dams> 5.0.22-1.mga3
+ Revision: 408218
- new version 5.0.22

* Mon Jan 14 2013 umeabot <umeabot> 5.0.20-2.mga3
+ Revision: 385690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 dams <dams> 5.0.20-1.mga3
+ Revision: 307614
- new version 5.0.20

* Tue Sep 25 2012 dams <dams> 5.0.19-1.mga3
+ Revision: 297593
- new version 5.0.19

* Thu Jul 26 2012 dams <dams> 5.0.18-1.mga3
+ Revision: 274537
- new version 5.0.18

* Sat Jun 30 2012 dams <dams> 5.0.17-1.mga3
+ Revision: 265658
- new version 5.0.17

* Wed May 02 2012 dams <dams> 5.0.16-1.mga2
+ Revision: 234483
- new version 5.0.16

* Wed Jan 04 2012 dams <dams> 5.0.14-1.mga2
+ Revision: 190331
- new version 5.0.14

* Thu Dec 01 2011 dams <dams> 5.0.13-1.mga2
+ Revision: 174836
- new version 5.0.13
- clean specfile

* Tue Nov 15 2011 dams <dams> 5.0.12-1.mga2
+ Revision: 168025
- new version 5.0.12

* Sat Feb 19 2011 wally <wally> 5.0.11-1.mga1
+ Revision: 54366
- new version 5.0.11
- drop old provides/obsoletes
- drop buildroot definition
- imported package whois


* Sun Oct 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 5.0.7-1mdv2011.0
+ Revision: 582710
- update to new version 5.0.7

* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 5.0.6-1mdv2011.0
+ Revision: 563976
- update to new version 5.0.6

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 5.0.0-1mdv2010.1
+ Revision: 486788
- update to new version 5.0.0

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 4.7.36-1mdv2010.0
+ Revision: 447874
- update to new version 4.7.36

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 4.7.35-1mdv2010.0
+ Revision: 415711
- update to new version 4.7.35

* Wed Jun 17 2009 Frederik Himpe <fhimpe@mandriva.org> 4.7.34-1mdv2010.0
+ Revision: 386802
- update to new version 4.7.34

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7.30-2mdv2009.1
+ Revision: 316436
- really package lang files
- fix #46500 (conflict whois vs. expect)

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 4.7.30-1mdv2009.1
+ Revision: 316191
- 4.7.30
- use LDFLAGS from the %%configure macro

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.26-1mdv2009.0
+ Revision: 219510
- update to new version 4.7.26

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.24-1mdv2008.1
+ Revision: 173758
- new version
- new license policy
- enable support for libidn
- add config file to the file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.7.22-1mdv2008.0
+ Revision: 63896
- Updated to version 4.7.22.

* Wed Aug 15 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 4.7.21-2mdv2008.0
+ Revision: 63878
- Reenable IDN support now that our glibc is ok.

* Tue Apr 17 2007 Andreas Hasenack <andreas@mandriva.com> 4.7.21-1mdv2007.1
+ Revision: 13542
- updated to version 4.7.21


* Wed Feb 14 2007 Olivier Blin <oblin@mandriva.com> 4.7.20-2mdv2007.0
+ Revision: 120732
- make it run again by disabling IDN support (#28723)

* Tue Feb 13 2007 Olivier Blin <oblin@mandriva.com> 4.7.20-1mdv2007.1
+ Revision: 120418
- 4.7.20

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 4.7.13-2mdv2007.1
+ Revision: 108710
- Import whois

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 4.7.13-2mdv2007.1
- Rebuild

* Wed Apr 05 2006 Pascal Terjan <pterjan@mandriva.org> 4.7.13-1mdk
- 4.7.13 (handles .eu)
- mkrel

* Thu Oct 06 2005 Pascal Terjan <pterjan@mandriva.org> 4.7.5-1mdk
- 4.7.5

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 4.6.14-1mdk
- 4.6.14
- remove the unused mandir patch

